> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/resolver-disputa.md).

# Resolver disputa

### Liberação Única

```typescript
/**
 * Resolver Pagamento de Disputa
 */
export type SingleReleaseResolveDisputePayload = {
  /**
   * ID (endereço) que identifica o contrato de escrow
   */
  contractId: string;

  /**
   * Endereço responsável por resolver disputas dentro do escrow.
   */
  disputeResolver: string;

  /**
   * Distribuições do valor do escrow para os recebedores.
   */
  distributions: [
    {
      /**
       * Endereço do recebedor
       */
      address: string;
      /**
       * Valor a ser transferido para o recebedor. Todo o valor deve ser igual ao valor total do escrow.
       */
      amount: number;
    },
  ];
};
```

### Liberação Múltipla

```typescript
/**
 * Payload para Resolver Disputa de Liberação Múltipla
 */
export type MultiReleaseResolveDisputePayload = {
  /**
   * ID (endereço) que identifica o contrato de escrow
   */
  contractId: string;

  /**
   * Endereço responsável por resolver disputas dentro do escrow.
   */
  disputeResolver: string;

  /**
   * Distribuições do valor do escrow para os recebedores.
   */
  distributions: [
    {
      /**
       * Endereço do recebedor
       */
      address: string;
      /**
       * Valor a ser transferido para o recebedor. Todo o valor deve ser igual ao valor total do escrow.
       */
      amount: number;
    },
  ];

  /**
   * Índice do marco a ser resolvido
   */
  milestoneIndex: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/resolver-disputa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
